/*
======================================================================
SR_clear_rig is a simple script that prepares a model to be
rigged.

www.Steelronin.com
Scott@steelronin.com  
======================================================================
*/

scriptName = "Clear Rig v0.1.1";
copyright = "Copyright (c) 2004 Scott lange";

/*
updates comments
v0.1.1 fixed delete -1 frame error
        and head controler
*/ 

@version 2.2
@warnings
@name SR_Clear_Rig
@script generic

generic
{
//debug();
    scene = Scene();
    pip = scene.generalopts[3];
    FPS = scene.fps;
    sList = Scene().getSelect();
    if(sList == nil) return;

    // reverse slist order
    listcopy = sList;
    for(a=1;a<=size(listcopy);a++)
        sList[(size(listcopy)+1) - a]=listcopy[a];

    // interface

    //define callback var

    // set Parent in place

    if(pip){
    }
    else{
        ParentInPlace();
    }

    // set enable ik
    //if(EnableIK == 1);{info(IK on");}
    //else{info(IK off);}

    // setup some variables

    t = Scene().currenttime;
    n = size(sList);
    i;
    s;

    GoToFrame(0);
    RefreshNow();

// bones section
    SelectItem(sList[1].id);
    SelectAllBones();
//deactivate and remove transformations part1   
    bList = Scene().getSelect();
    b = size(bList);
    i;
    for(i = 1;i <= b;i++){
        SelectItem(bList[i].id);

        //clear head controler
        if(bList[i].name == "Head")
        {
            HController(1);
            PController(1);
        }

        ParentItem(sList[1].id);
        BoneRestLength(0.25);
        PivotRotation(0,0,0);
        PivotPosition(0,0,0);
        Rotation(0,0,0);
        Position(0,0,0);
        DeleteKey(-1/FPS);
        if(bList[i].flags[1] == true)
            BoneActive();
    }

// riggign section
    // skeleton section
    SelectItem("L_Pad_Rig");
    AddToSelection("R_Pad_Rig");
    AddToSelection("L_Hand_Rig");
    AddToSelection("R_Hand_Rig");


//deactivate and remove transformations part2    
    oList = Scene().getSelect();
    o = size(oList);
    i;
    for(i = 1;i <= o;i++){
        SelectItem(oList[i].id);
        ParentItem(sList[1].id);
        PivotRotation(0,0,0);
        PivotPosition(0,0,0);
        Rotation(0,0,0);
        Position(0,0,0);
    }
    RefreshNow();

    SelectItem("Hips_Rig");
    AddToSelection("Lookat_Rig");
    AddToSelection("L_Elbo_Rig");
    AddToSelection("L_Wrist_Rig");
    AddToSelection("R_Elbo_Rig");
    AddToSelection("R_Wrist_Rig");

    AddToSelection("L_Toe_Rig");
    AddToSelection("L_Ball_Rig");
    AddToSelection("L_Ankle_Rig");
    AddToSelection("R_Toe_Rig");
    AddToSelection("R_Ball_Rig");
    AddToSelection("R_Ankle_Rig");

//deactivate and remove transformations part3    
    oList = Scene().getSelect();
    o = size(oList);
    i;
    for(i = 1;i <= o;i++){
        SelectItem(oList[i].id);
        ParentItem(sList[2].id);
        PivotRotation(0,0,0);
        PivotPosition(0,0,0);
        Rotation(0,0,0);
        Position(0,0,0);
    }
    RefreshNow();
 
    SelectItem("Upper_body_Rig");
    AddToSelection("Hips_Rig");
    AddToSelection("L_Knee_Rig");
    AddToSelection("L_Foot_Rig");
    AddToSelection("L_Toe_Rig");
    AddToSelection("L_Ball_Rig");
    AddToSelection("L_Ankle_Rig");
    AddToSelection("R_Knee_Rig");
    AddToSelection("R_Foot_Rig");
    AddToSelection("R_Toe_Rig");
    AddToSelection("R_Ball_Rig");
    AddToSelection("R_Ankle_Rig");
    AddToSelection("Spin_Rig");
    AddToSelection("Lookat_Rig");
    AddToSelection("L_Shoulder_Rig");
    AddToSelection("L_Elbo_Rig");
    AddToSelection("L_Wrist_Rig");
    AddToSelection("R_Shoulder_Rig");
    AddToSelection("R_Elbo_Rig");
    AddToSelection("R_Wrist_Rig");

//deactivate and remove transformations part4    
    oList = Scene().getSelect();
    o = size(oList);
    i;
    for(i = 1;i <= o;i++){
        SelectItem(oList[i].id);
        PivotRotation(0,0,0);
        PivotPosition(0,0,0);
        Rotation(0,0,0);
        Position(0,0,0);
    }
}






